<?php
require_once "conexion.php";

$newContent = $_POST["newContent"];
$column = $_POST["column"];
$id = $_POST["id"];

$sql = "UPDATE selling_item SET $column = '$newContent' WHERE id = $id"; // Cambia "tabla" según tus necesidades

if ($conn->query($sql) === TRUE) {
    if ($column === "item_quantity" || $column === "item_price") {
        // Si se actualiza cantidad o precio, también actualiza el importe y el subtotal
        $itemQuantity = floatval($_POST["item_quantity"]);
        $itemPrice = floatval($_POST["tipo"]);
        $importe = $itemQuantity * $itemPrice;
        $subtotal = $_POST["subtotal"];
        
        $sql = "UPDATE selling_item SET importe = '$importe', item_total = '$subtotal' WHERE id = $id"; // Cambia "tabla" según tus necesidades
        if ($conn->query($sql) === TRUE) {
            echo "Actualización exitosa.";
        } else {
            echo "Error en la actualización: " . $conn->error;
        }
    } else {
        echo "Actualización exitosa.";
    }
} else {
    echo "Error en la actualización: " . $conn->error;
}

$conn->close();
?>
